View Issue Details

IDProjectCategoryView StatusLast Update
0003370GNUnetNAT traversal librarypublic2018-06-07 00:25
ReporterMatthias WachsAssigned Tocfuchs 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version 
Summary0003370: NAT test not working
Descriptionmwachs@fulcrum:~/coding/gnunet/src/transport$ gnunet-transport -t
Apr 09 11:09:56-278332 gnunet-transport-18347 ERROR Running test for plugin `tcp' using bind port 2086 and advertised port 2086
Timeout while waiting for result of NAT test for plugin `tcp'
Configuration for plugin `tcp' did not work!

Timeout is 20 seconds...

config:
[nat]
BEHIND_NAT = YES
USE_LOCALADDR = NO
INTERNAL_ADDRESS = a.b.c.d
TagsNo tags attached.

Relationships

parent of 0002731 confirmed gnunet-gtk "Test configuration" Button does not show error message 
Not all the children of this issue are yet resolved or closed.

Activities

Matthias Wachs

2014-04-09 12:22

manager   ~0008219

nat library does not return any addresses to perform NAT test:

nat.c: process_interfaces:

    /* Check if address is in 127.0.0.0/8 */
    uint32_t address = ntohl ((uint32_t) (s4->sin_addr.s_addr));
    uint32_t value = (address & 0xFF000000) ^ 0x7F000000;

    if ((h->return_localaddress == GNUNET_NO) && (value == 0))
    {
      return GNUNET_OK;
    }
    if (GNUNET_YES == h->use_localaddresses) <- THIS FALSE!
    {
      add_ip_to_address_list (h, LAL_INTERFACE_ADDRESS, &s4->sin_addr,
                              sizeof (struct in_addr));
    }

Matthias Wachs

2014-04-09 13:45

manager   ~0008221

Last edited: 2014-04-09 13:51

View 2 revisions

Configuration test successful with:

BEHIND_NAT = NO
BEHIND_NAT = YES and global IP
BEHIND_NAT = YES, private IP, port forwarding manually

Matthias Wachs

2014-04-10 10:37

manager   ~0008228

BEHIND_NAT = YES, private IP, upnp enabled

Matthias Wachs

2014-04-17 11:38

manager   ~0008257

ICMP + UDP hole punching tested

Issue History

Date Modified Username Field Change
2014-04-09 11:16 Matthias Wachs New Issue
2014-04-09 11:16 Matthias Wachs Status new => assigned
2014-04-09 11:16 Matthias Wachs Assigned To => cfuchs
2014-04-09 11:17 Matthias Wachs Relationship added parent of 0002731
2014-04-09 12:22 Matthias Wachs Note Added: 0008219
2014-04-09 12:22 Matthias Wachs Priority normal => high
2014-04-09 13:45 Matthias Wachs Note Added: 0008221
2014-04-09 13:51 Matthias Wachs Note Edited: 0008221 View Revisions
2014-04-10 10:37 Matthias Wachs Note Added: 0008228
2014-04-11 15:05 Christian Grothoff Product Version => SVN HEAD
2014-04-11 15:05 Christian Grothoff Target Version => 0.11.0pre66
2014-04-17 11:38 Matthias Wachs Note Added: 0008257
2014-04-17 11:39 Matthias Wachs Status assigned => resolved
2014-04-17 11:39 Matthias Wachs Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed